<!DOCTYPE html>
<html>
  <!--
    https://sites.moe.sf.webhare.nl/projects/dompack/examples/pulldown.html
    -->
  <head>
    <link href="dompackbuild/ap.css" rel="stylesheet">
    <script src="dompackbuild/ap.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
  </head>
  <body>
    <button id="refill_justenough" type="button">refill just enough</button>
    <button id="fillridiculous" type="button">refill ridiculous</button>
    <button id="scrollable" type="button">scrollable</button>
    <button id="toggleclass" type="button">toggleclass</button>
    <div id="topmiddle">
      <select class="scrollable" id="alwaysopendown">
        <option selected disabled value="" class="copyclass" data-wh-form-placeholder>Should always open down</option>
        <option value="1" class="copy2">One</option>
        <option id="togglethisclass" value="2">Two</option>
        <option value="3">Third item that should always be opening down</option>
      </select>
      <select class="scrollable" id="ridiculous">
        <option selected disabled value="">Should also open down</option>
        <option value="1">D_One</option>
        <option value="2">D_Two</option>
        <option disabled value="3">D_Three</option>
      </select>
    </div>
    <form id="onepixelshort">
      <select class="scrollable" id="onepixelshortselect">
        <option value="1">Upwards, one pixel short</option>
        <option value="2" disabled>U_Two</option>
        <option value="3">U_Three</option>
      </select>
    </form>
    <div id="justenoughbottom">
      <select class="scrollable" id="justenoughselect">
        <option value="1">Downwards, EXACTLY enough space</option>
        <option value="2">E_Two</option>
        <option value="3">E_Three</option>
        <option class="hidden" value="4">I'm not here</option>
      </select>
    </div>
    <div id="ridiculousbottom">
      <select class="scrollable" id="ridiculousbottomselect" style="width: 60px;">
        <option selected disabled value="">Many</option>
        <option value="1">One</option>
        <option value="2">Two</option>
        <option value="3">Three</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="6">Six</option>
      </select>
    </div>
    <div id="withoptgroups">
      <select>
        <option value="1" class="copy-1" data-copy="1">1</option>
        <optgroup class="copy-2" data-copy="2" label="Group 2">
          <option class="copy-2a" data-copy="2a" value="2a">2a</option>
        </optgroup>
        <optgroup class="copy-3" data-copy="3" label="Group 3">
          <option class="copy-3a" data-copy="3a" value="3a">3a</option>
          <option class="copy-3b" data-copy="3b" value="3b">3b</option>
          <option class="copy-3c" data-copy="3c" value="3c">3c</option>
          <option class="copy-3d" data-copy="3d" value="3d">3d</option>
        </optgroup>
        <option value="4" class="copy-4" data-copy="4">4</option>
      </select>
    </div>
  </body>
</html>
